using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Conaito.SWFSlideShow;
using System.Drawing;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string curDirPath = AppDomain.CurrentDomain.BaseDirectory;

        // initialize library
        SlideShow slideShow = new SlideShow();

        // Show navigation panel
        slideShow.ShowNavigationPanel = true;
        // Set navigationPanel alignment
        slideShow.NavigationPanelAlignment = NavigationPanelAlignment.Right;

        // start slide 800x600 show 
        slideShow.Start(800, 600);

        // set blue color for background slideshow
        slideShow.SetBackgroundColor(Color.Blue);

        // slide #1, show with "ZoomFromCenter" effect, 1 sec
        slideShow.AddSlideFromFile(curDirPath + "Slide1.jpg", TransitionEffect.ZoomFromCenter, 1);
        slideShow.Pause(1);

        // slide #2, show with "ZoomFromRightCenter" effect, 1 sec
        slideShow.AddSlideFromFile(curDirPath + "Slide2.jpg", TransitionEffect.ZoomFromRightCenter, 1);
        slideShow.Pause(1);

        // slide #3, show with "ZoomFromTopCenter" effect, 1 sec
        slideShow.AddSlideFromFile(curDirPath + "Slide3.jpg", TransitionEffect.ZoomFromTopCenter, 1);
        slideShow.Pause(1);

        // slide #4, show with "ZoomFromBottomCenter" effect, 1 sec
        slideShow.AddSlideFromFile(curDirPath + "Slide4.jpg", TransitionEffect.ZoomFromBottomCenter, 1);
        slideShow.Pause(5);

        Response.Clear();
        // set the content type to SWF
        Response.ContentType = "application/x-shockwave-flash";
        // add content type header 
        Response.AddHeader("Content-Type", "application/x-shockwave-flash");
        // set the content disposition
        Response.AddHeader("Content-Disposition", "inline;filename=flash.swf");
        // write the buffer with swf file to the output
        Response.BinaryWrite(slideShow.GetBinaryImage());
        Response.End();
    }
}
