using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Conaito.SWFSlideShow;
using System.Diagnostics;
using System.Drawing;
using System.IO;

namespace WindowsApplication1
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// 
        [STAThread]
        static void Main()
        {
            // initialize library
            SlideShow slideShow = new SlideShow();

            // Show navigation panel
            slideShow.ShowNavigationPanel = true;

            // Set navigationPanel alignment
            slideShow.NavigationPanelAlignment = NavigationPanelAlignment.Right;

            // start slide 800x600 show 
            slideShow.Start(800, 600);


            Image[] slides = slideShow.GetSlidesFromPPT(slideShow.GetAssemblyDirectory() +"\\Demo.ppt");

            // add all slides from ppt to SlideShow
            foreach (Image currSlide in slides)
            {
                // slide show with Random effect, 1 sec
                slideShow.AddSlideFromFile(currSlide, slideShow.GetRandomTransitionEffect(), 1);

                // start next slide after mouse click
                slideShow.WaitForClick();
            }           
            
            // save to flash movie file
            slideShow.SaveToFile("flash.swf");

            // Start play swf file in default player
            Process.Start("flash.swf");
        }
    }
}