using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Conaito.SWFSlideShow;
using System.Diagnostics;
using System.Drawing;

namespace WindowsApplication1
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// 
        [STAThread]
        static void Main()
        {
            // initialize library
            SlideShow slideShow = new SlideShow();

            // Show navigation panel
            slideShow.ShowNavigationPanel = true;
            // Set navigationPanel alignment
            slideShow.NavigationPanelAlignment = NavigationPanelAlignment.Right;

            // start slide 800x600 show 
            slideShow.Start(800, 600);

            // set blue color for background slideshow
            slideShow.SetBackgroundColor(Color.Blue);
            
            // slide #1, show with "ZoomFromCenter" effect, 1 sec
            slideShow.AddSlideFromFile("Slide1.jpg", TransitionEffect.ZoomFromCenter, 1);
            slideShow.Pause(1);

            // slide #2, show with "ZoomFromRightCenter" effect, 1 sec
            slideShow.AddSlideFromFile("Slide2.jpg", TransitionEffect.ZoomFromRightCenter, 1);
            slideShow.Pause(1);

            // slide #3, show with "ZoomFromTopCenter" effect, 1 sec
            slideShow.AddSlideFromFile("Slide3.jpg", TransitionEffect.ZoomFromTopCenter, 1);
            slideShow.Pause(1);

            // slide #4, show with "ZoomFromBottomCenter" effect, 1 sec
            slideShow.AddSlideFromFile("Slide4.jpg", TransitionEffect.ZoomFromBottomCenter, 1);
            slideShow.Pause(5);
            
            // save to flash movie file
            slideShow.SaveToFile("flash.swf");            

            // Start play swf file in default player
            Process.Start("flash.swf");
        }
    }
}